%define upstream_name Horde_Group
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.5
Release:     	%mkrel 1
Summary:    	Horde Authentication API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Group = %{version}
Obsoletes:	horde-group	

%description
Package for managing and accessing the Horde groups system.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Group.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Group.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Group
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Group/COPYING
%{peardir}/Horde/Group/Base.php
%{peardir}/Horde/Group/Contactlists.php
%{peardir}/Horde/Group/Exception.php
%{peardir}/Horde/Group/Kolab.php
%{peardir}/Horde/Group/Ldap.php
%{peardir}/Horde/Group/Mock.php
%{peardir}/Horde/Group/Sql.php
%{peardir}/data/Horde_Group/migration/1_horde_group_base_tables.php
%{peardir}/data/Horde_Group/migration/2_horde_group_upgrade_autoincrement.php
%{peardir}/tests/Horde_Group/Horde/Group/AllTests.php
%{peardir}/tests/Horde_Group/Horde/Group/Autoload.php
%{peardir}/tests/Horde_Group/Horde/Group/Base.php
%{peardir}/tests/Horde_Group/Horde/Group/ContactlistTest.php
%{peardir}/tests/Horde_Group/Horde/Group/LdapTest.php
%{peardir}/tests/Horde_Group/Horde/Group/MockTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/Base.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/MysqlTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/MysqliTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/Pdo/MysqlTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/Pdo/PgsqlTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Sql/Pdo/SqliteTest.php
%{peardir}/tests/Horde_Group/Horde/Group/Stub/Api.php
%{peardir}/tests/Horde_Group/Horde/Group/conf.php.dist
%{xmldir}/Horde_Group.xml

%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 215522
- update to 1.0.5

* Sun Nov 13 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 167269
- upgrade to 1.0.4

* Sun Nov 06 2011 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 164445
- upgrade to 1.0.3
- Changed Provides: php-pear-Horde_Group to Provides: php-pear-Horde_Group = %%{version}
- imported package php-pear-Horde_Group

